# Uses of Interface
org.apache.solr.client.solrj.routing.ReplicaListTransformerFactory

Packages that use ReplicaListTransformerFactory
Package
Description
org.apache.solr.client.solrj.routing
Classes to handle query routing preferences

## Uses of ReplicaListTransformerFactory in org.apache.solr.client.solrj.routing

Classes in org.apache.solr.client.solrj.routing that implement ReplicaListTransformerFactory
Modifier and Type
Class
Description
`class`
`AffinityReplicaListTransformerFactory`
Factory for constructing an `AffinityReplicaListTransformer` that reorders replica routing preferences deterministically, based on request parameters.
Fields in org.apache.solr.client.solrj.routing declared as ReplicaListTransformerFactory
Modifier and Type
Field
Description
`static final ReplicaListTransformerFactory`
RequestReplicaListTransformerGenerator.`RANDOM_RLTF`
Methods in org.apache.solr.client.solrj.routing with parameters of type ReplicaListTransformerFactory
Modifier and Type
Method
Description
`ReplicaListTransformer`
AffinityReplicaListTransformerFactory.`getInstance(String configSpec, SolrParams requestParams, ReplicaListTransformerFactory fallback)`
`ReplicaListTransformer`
ReplicaListTransformerFactory.`getInstance(String configSpec, SolrParams requestParams, ReplicaListTransformerFactory fallback)`
Constructors in org.apache.solr.client.solrj.routing with parameters of type ReplicaListTransformerFactory
Modifier
Constructor
Description
``
`NodePreferenceRulesComparator(List<PreferenceRule> preferenceRules, SolrParams requestParams, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps, ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
``
`NodePreferenceRulesComparator(List<PreferenceRule> preferenceRules, SolrParams requestParams, ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
``
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory)`
``
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
``
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`